#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 z-dns-z-dns-internal
version:              4.0.1
package-name:         dns
lib-name:             dns-internal
id:                   dns-4.0.1-COlIjpLSFiFGFQf1vE85zX-dns-internal
key:                  dns-4.0.1-COlIjpLSFiFGFQf1vE85zX-dns-internal
license:              BSD-3-Clause
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Kazu Yamamoto <kazu@iij.ad.jp>
synopsis:             DNS library in Haskell
description:
    A thread-safe DNS library for both clients and servers written
    in pure Haskell.

category:             Network
abi:                  dd4ed4eed43a17ae4c4330cf7e2321d4
exposed-modules:
    Network.DNS.Base32Hex Network.DNS.Decode.Internal
    Network.DNS.Decode.Parsers Network.DNS.Encode.Builders
    Network.DNS.Encode.Internal Network.DNS.Imports Network.DNS.Memo
    Network.DNS.Resolver.Internal Network.DNS.StateBinary
    Network.DNS.Types.Internal Network.DNS.Types.Resolver

import-dirs:          /usr/lib/ghc-9.0.2/site-local/dns-4.0.1
library-dirs:         /usr/lib/ghc-9.0.2/site-local/dns-4.0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-dns
hs-libraries:         HSdns-4.0.1-COlIjpLSFiFGFQf1vE85zX-dns-internal
depends:
    array-0.5.4.0 async-2.2.4-6LRR1qzJKeG4fcfGDW8pVm
    attoparsec-0.14.4-9zevo7QnectA1bRgJqQjSQ
    auto-update-0.1.6-Fki80IDbrPdhnUNUMaN6l base-4.15.1.0
    base16-bytestring-1.0.2.0-Fp7d6BM2Duc4rZrEFkJ3hw
    base64-bytestring-1.2.1.0-KbN6G8Oab0JGXDIOSmHWBi
    bytestring-0.10.12.1 containers-0.6.4.1
    cryptonite-0.30-8OdEhofkObgFFy7tZJxVxe
    hourglass-0.2.12-9e408JBdgTdKrCGICYiL5C
    iproute-1.7.12-BCt3VybnOx0u8dYmGuCDD mtl-2.2.2
    network-3.1.2.7-LWaASFO68LfCrj9dzFk83a
    psqueues-0.2.7.3-DBrfvxuEUE5BlbVjhEWlLB

haddock-interfaces:   /usr/share/doc/haskell-dns/html/dns.haddock
haddock-html:         /usr/share/doc/haskell-dns/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 dns
version:              4.0.1
visibility:           public
id:                   dns-4.0.1-GpcyQUpK0NFATeHegrOi8S
key:                  dns-4.0.1-GpcyQUpK0NFATeHegrOi8S
license:              BSD-3-Clause
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Kazu Yamamoto <kazu@iij.ad.jp>
synopsis:             DNS library in Haskell
description:
    A thread-safe DNS library for both clients and servers written
    in pure Haskell.

category:             Network
abi:                  c1ae27deed8bab03515403bf775db203
exposed:              True
exposed-modules:
    Network.DNS Network.DNS.Decode Network.DNS.Encode Network.DNS.IO
    Network.DNS.Lookup Network.DNS.LookupRaw Network.DNS.Resolver
    Network.DNS.Types Network.DNS.Utils

hidden-modules:       Network.DNS.Transport
import-dirs:          /usr/lib/ghc-9.0.2/site-local/dns-4.0.1
library-dirs:         /usr/lib/ghc-9.0.2/site-local/dns-4.0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-dns
hs-libraries:         HSdns-4.0.1-GpcyQUpK0NFATeHegrOi8S
depends:
    array-0.5.4.0 async-2.2.4-6LRR1qzJKeG4fcfGDW8pVm
    attoparsec-0.14.4-9zevo7QnectA1bRgJqQjSQ
    auto-update-0.1.6-Fki80IDbrPdhnUNUMaN6l base-4.15.1.0
    base16-bytestring-1.0.2.0-Fp7d6BM2Duc4rZrEFkJ3hw
    base64-bytestring-1.2.1.0-KbN6G8Oab0JGXDIOSmHWBi
    bytestring-0.10.12.1 containers-0.6.4.1
    cryptonite-0.30-8OdEhofkObgFFy7tZJxVxe
    dns-4.0.1-COlIjpLSFiFGFQf1vE85zX-dns-internal
    hourglass-0.2.12-9e408JBdgTdKrCGICYiL5C
    iproute-1.7.12-BCt3VybnOx0u8dYmGuCDD mtl-2.2.2
    network-3.1.2.7-LWaASFO68LfCrj9dzFk83a
    psqueues-0.2.7.3-DBrfvxuEUE5BlbVjhEWlLB

haddock-interfaces:   /usr/share/doc/haskell-dns/html/dns.haddock
haddock-html:         /usr/share/doc/haskell-dns/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

